#ifndef TKTRANSPORTINTERFACE_H
#define TKTRANSPORTINTERFACE_H


#include "TKGenerator.h"
class CZTDetectionData;


class CTKTransportInterface : public CTKGenerator
{
public:

    CTKTransportInterface();
    virtual ~CTKTransportInterface();

    virtual bool IsTKProcessing() = 0;
    virtual bool IsZT1TKProcessing() = 0;
    virtual bool IsZT2TKProcessing() = 0;
    virtual int AddNewZT1Detection(CZTDetectionData Detection) = 0;
    virtual int AddNewZT2Detection(CZTDetectionData Detection) = 0;
};

#endif // TKTRANSPORTINTERFACE_H
